Module javafx.base
Package javafx.beans.value

## Interface ObservableSetValue<E>

- Type Parameters:
    `E` - the type of the `Set` elements
  All Superinterfaces:
    `Collection<E>`, `Iterable<E>`, `Observable`, `ObservableObjectValue<ObservableSet<E>>`, `ObservableSet<E>`, `ObservableValue<ObservableSet<E>>`, `Set<E>`
  All Known Implementing Classes:
    `ReadOnlySetProperty`, `ReadOnlySetPropertyBase`, `ReadOnlySetWrapper`, `SetBinding`, `SetExpression`, `SetProperty`, `SetPropertyBase`, `SimpleSetProperty`

      public interface ObservableSetValue<E>
      extends ObservableObjectValue<ObservableSet<E>>, ObservableSet<E>

  An observable reference to an `ObservableSet`.
  Since:
    JavaFX 2.1
  See Also:
    `ObservableSet`, `ObservableObjectValue`, `ObservableValue`

- - ### Method Summary

    - ### Methods inherited from interface java.util.Collection

      `parallelStream, removeIf, stream, toArray`

    - ### Methods inherited from interface java.lang.Iterable

      `forEach`

    - ### Methods inherited from interface javafx.beans.Observable

      `addListener, removeListener`

    - ### Methods inherited from interface javafx.beans.value.ObservableObjectValue

      `get`

    - ### Methods inherited from interface javafx.collections.ObservableSet

      `addListener, removeListener`

    - ### Methods inherited from interface javafx.beans.value.ObservableValue

      `addListener, getValue, removeListener`

    - ### Methods inherited from interface java.util.Set

      `add, addAll, clear, contains, containsAll, equals, hashCode, isEmpty, iterator, remove, removeAll, retainAll, size, spliterator, toArray, toArray`